package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class PianiEstrazioneDistinteBancaTipoFlusso.
 * @see sicura.entities.PianiEstrazioneDistinteBancaTipoFlusso
 * @author Hibernate Tools
 */
@Stateless
public class PianiEstrazioneDistinteBancaTipoFlussoHome {

	private static final Log log = LogFactory.getLog(PianiEstrazioneDistinteBancaTipoFlussoHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(PianiEstrazioneDistinteBancaTipoFlusso transientInstance) {
		log.debug("persisting PianiEstrazioneDistinteBancaTipoFlusso instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(PianiEstrazioneDistinteBancaTipoFlusso persistentInstance) {
		log.debug("removing PianiEstrazioneDistinteBancaTipoFlusso instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public PianiEstrazioneDistinteBancaTipoFlusso merge(PianiEstrazioneDistinteBancaTipoFlusso detachedInstance) {
		log.debug("merging PianiEstrazioneDistinteBancaTipoFlusso instance");
		try {
			PianiEstrazioneDistinteBancaTipoFlusso result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public PianiEstrazioneDistinteBancaTipoFlusso findById(Integer id) {
		log.debug("getting PianiEstrazioneDistinteBancaTipoFlusso instance with id: " + id);
		try {
			PianiEstrazioneDistinteBancaTipoFlusso instance = entityManager
					.find(PianiEstrazioneDistinteBancaTipoFlusso.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
